# Changelog

## 2024-07-28 - 3.0.22 - fix(dependencies)
Update dependencies and improve bucket retrieval logging

- Updated @aws-sdk/client-s3 to ^3.620.0
- Updated @git.zone/tsbuild to ^2.1.84
- Updated @git.zone/tsrun to ^1.2.49
- Updated @push.rocks/smartpromise to ^4.0.4
- Updated @tsclass/tsclass to ^4.1.2
- Added a log for when a bucket is not found by name in getBucketByName method

## 2024-07-04 - 3.0.21 - fix(test)
Update endpoint configuration in tests to use environment variable

- Modified `qenv.yml` to include `S3_ENDPOINT` as a required environment variable.
- Updated test files to fetch `S3_ENDPOINT` from environment instead of hardcoding.

## 2024-06-19 - 3.0.20 - Fix and Stability Updates
Improved overall stability and consistency.

## 2024-06-18 - 3.0.18 - Delete Functions Consistency
Ensured more consistency between delete methods and trash behavior.

## 2024-06-17 - 3.0.17 to 3.0.16 - Fix and Update
Routine updates and fixes performed.

## 2024-06-11 - 3.0.15 to 3.0.14 - Fix and Update
Routine updates and fixes performed.

## 2024-06-10 - 3.0.13 - Trash Feature Completion
Finished work on trash feature.

## 2024-06-09 - 3.0.12 - Fix and Update
Routine updates and fixes performed.

## 2024-06-08 - 3.0.11 to 3.0.10 - Fix and Update
Routine updates and fixes performed.

## 2024-06-03 - 3.0.10 - Fix and Update
Routine updates and fixes performed.

## 2024-05-29 - 3.0.9 - Update Description
Updated project description.

## 2024-05-27 - 3.0.8 to 3.0.6 - Pathing and Core Updates
Routine updates and fixes performed.
  - S3 paths' pathing differences now correctly handled with a reducePath method.

## 2024-05-21 - 3.0.5 to 3.0.4 - Fix and Update
Routine updates and fixes performed.

## 2024-05-17 - 3.0.3 to 3.0.2 - Fix and Update
Routine updates and fixes performed.

## 2024-05-17 - 3.0.0 - Major Release
Introduced breaking changes in core and significant improvements.

## 2024-05-05 - 2.0.5 - Breaking Changes
Introduced breaking changes in core functionality.

## 2024-04-14 - 2.0.4 - TSConfig Update
Updated TypeScript configuration.

## 2024-01-01 - 2.0.2 - Organization Scheme Update
Switched to the new organizational scheme.
